Bug 505443 - Digicam crashes frequently while editing photos
Digicam crashes frequently while editing photos
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 18:14 EDT by Andy
Modified: 2009-07-22 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 14:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy 2009-06-11 18:14:29 EDT
Description of problem:
Digicam crashes frequently while editing photos. Digicam is defacto unusable for Image-Editing. (especially whitebalance et.al.). It crashes very frequently... every 3-5min after start of digicam and start editing pix.

Version-Release number of selected component (if applicable):
digikam-0.10.0-1.fc11.i586
digikam-libs-0.10.0-1.fc11.i586
kdelibs-4.2.3-2.fc11.i586

How reproducible:
Open Picture Editor... and choose different images. Randomly... then it crashes.

Steps to Reproduce:
1. Open digikam
2. Edit Image
3. Boom (when changing target image to edit) 
  
Actual results:
Crashes badly

Expected results:
No crash

Additional info:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xa01aeb70 (LWP 4474)]
Digikam::ImageHistogram::calculate (this=0xaa70a20) at /usr/src/debug/digikam-0.10.0/libs/histogram/imagehistogram.cpp:223
223                 blue  = data[ i ];
(gdb) bt
#0  Digikam::ImageHistogram::calculate (this=0xaa70a20)
    at /usr/src/debug/digikam-0.10.0/libs/histogram/imagehistogram.cpp:223
#1  0x0544466d in Digikam::ImageHistogram::run (this=0xaa70a20)
    at /usr/src/debug/digikam-0.10.0/libs/histogram/imagehistogram.cpp:164
#2  0x07562e8e in QThreadPrivate::start (arg=0xaa70a20) at thread/qthread_unix.cpp:189
#3  0x005c0935 in start_thread (arg=0xa01aeb70) at pthread_create.c:297
#4  0x0258b82e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
(gdb) bt full
#0  Digikam::ImageHistogram::calculate (this=0xaa70a20)
    at /usr/src/debug/digikam-0.10.0/libs/histogram/imagehistogram.cpp:223
        blue = 85 'U'
        green = <value optimized out>
        red = 112 'p'
        data = 0x9bd07008 <Address 0x9bd07008 out of bounds>
        alpha = <value optimized out>
        i = 50413560
        max = <value optimized out>
        __PRETTY_FUNCTION__ = "void Digikam::ImageHistogram::calculate()"
#1  0x0544466d in Digikam::ImageHistogram::run (this=0xaa70a20)
    at /usr/src/debug/digikam-0.10.0/libs/histogram/imagehistogram.cpp:164
No locals.
#2  0x07562e8e in QThreadPrivate::start (arg=0xaa70a20) at thread/qthread_unix.cpp:189
        data = 0xaaa7fe0
#3  0x005c0935 in start_thread (arg=0xa01aeb70) at pthread_create.c:297
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
        pd = 0xa01aeb70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {6107124, 0, 4001536, -1608850472, -1386769370, 545292134},
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#4  0x0258b82e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.
Comment 1 Andy 2009-06-12 03:14:57 EDT
Tried the same steps to reproduce @ the F11 workstation in my company.

Can't reproduce the issues here (exactly the same workflow, and jpgs).

Hm... must be something with the disk or ram or filesystem ??
data = 0x9bd07008 <Address 0x9bd07008 out of bounds>

F11 @ Home (the problemsystem) is a newly installed F11, which has no other flaws beside of the strange problem in digikam.

Beside of the fact, that the images on the system @ home are saved on a dmraid (RAID-5), and @ work on a normal Partition ?

I'd say severity is now not high anymore (because it looks like a specific and not a more general issue). Changing to Medium.
Comment 2 Steven M. Parrish 2009-07-22 08:23:16 EDT
Is this still an issue with the current release of kdelibs and digikam?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Andy 2009-07-22 13:36:13 EDT
Hi Steven,

i have to admit, that I changed the distro because of this problem @ home. I still run a bunch of Fedora/RHEL boxes @ work. But there I haven't any (big) issues with Digikam. It happened only @ home. And there it worx now quite nice... but as I said. Another (more bleeding) distro (which name i dont publish here :).

Fact: I'm not able to reproduce the bug anymore, because of changed distro here @ home. (Kernel 2.6.30, KDE4.2.4, Digikam 0.10.0 also on Ext4 - on the same place at the disk).

You can close the bug, imho.
Thx for reply anyway.
Comment 4 Rex Dieter 2009-07-22 14:15:25 EDT
Thanks, fair enough.

Note You need to log in before you can comment on or make changes to this bug.